clear all

pkt  = 15:30:1335;

load('C:\MATLAB\s_xx_EKD_01.mat')
s_xx_EKD_01_a = s_xx;
for i=1:length(pkt)
s_xx_EKD_01(i) = 10^-6*s_xx_EKD_01_a(pkt(i));
end

load('C:\MATLAB\s_xx_EKD_02.mat')
s_xx_EKD_02_a = s_xx;
for i=1:length(pkt)
s_xx_EKD_02(i) = 10^-6*s_xx_EKD_02_a(pkt(i));
end

load('C:\MATLAB\s_xx_EKD_03.mat')
s_xx_EKD_03_a = s_xx;
for i=1:length(pkt)
s_xx_EKD_03(i) = 10^-6*s_xx_EKD_03_a(pkt(i));
end

load('C:\MATLAB\s_xx_EKD_04.mat')
s_xx_EKD_04_a = s_xx;
for i=1:length(pkt)
s_xx_EKD_04(i) = 10^-6*s_xx_EKD_04_a(pkt(i));
end

load('C:\MATLAB\s_xx_NLC.mat')
s_xx_NLC_a = s_xx;
for i=1:length(pkt)
s_xx_NLC(i) = 10^-6*s_xx_NLC_a(pkt(i));
end

y=[0:39 40:0.75:43];
figure(10)
hold on
plot(s_xx_EKD_01,y,'b--')
plot(s_xx_EKD_02,y,'g')
plot(s_xx_EKD_03,y,'b--')
plot(s_xx_EKD_04,y,'b--')

plot(s_xx_NLC,y,'black')
legend('EKD 01','EKD 02','EKD 03','EKD 04','OpD')

title('Trykkspenninger i snitt senter dam')
xlabel('Trykkspenning [MPa]')
ylabel('Hyde [m]')
r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1000 1000]/r);
Hor_printfilename = ['C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\RING_EKD.png'];
print(gcf,'-dpng',sprintf('-r%d',r),Hor_printfilename);
hold off

pkt  = 15:30:1335;
load('C:\MATLAB\s_xx_MOD_01.mat')
s_xx_MOD_01_a = s_xx;
for i=1:length(pkt)
s_xx_MOD_01(i) = 10^-6*s_xx_MOD_01_a(pkt(i));
end

load('C:\MATLAB\s_xx_MOD_02.mat')
s_xx_MOD_02_a = s_xx;
for i=1:length(pkt)
s_xx_MOD_02(i) = 10^-6*s_xx_MOD_02_a(pkt(i));
end

load('C:\MATLAB\s_xx_MOD_03.mat')
s_xx_MOD_03_a = s_xx;
for i=1:length(pkt)
s_xx_MOD_03(i) = 10^-6*s_xx_MOD_03_a(pkt(i));
end

load('C:\MATLAB\s_xx_MOD_04.mat')
s_xx_MOD_04_a = s_xx;
for i=1:length(pkt)
s_xx_MOD_04(i) = 10^-6*s_xx_MOD_04_a(pkt(i));
end

load('C:\MATLAB\s_xx_HYB.mat')
s_xx_HYB_a = s_xx;
for i=1:length(pkt)
s_xx_HYB(i) = 10^-6*s_xx_HYB_a(pkt(i));
end

load('C:\MATLAB\s_xx_NLC.mat')
s_xx_NLC_a = s_xx;
for i=1:length(pkt)
s_xx_NLC(i) = 10^-6*s_xx_NLC_a(pkt(i));
end

%Iterasjon 1
delta_sxx_a  = (s_xx_MOD_01./s_xx_NLC)';
pkt_diff   = [1 2:5:40 41 43 45]';
k=1;
for i=1:length(pkt_diff)
delta_sxx(k,1)   = delta_sxx_a(pkt_diff(i),1);
k=k+1;
end

%Iterasjon 2
delta_sxx_a2  = (s_xx_MOD_04./s_xx_NLC)';
pkt_diff   = [1 2:5:40 41 43 45]';
k=1;
for i=1:length(pkt_diff)
delta_sxx2(k,1)   = delta_sxx_a2(pkt_diff(i),1);
k=k+1;
end

y=[0:39 40:0.75:43];
figure(11)
hold on
plot(s_xx_MOD_01,y,'b--')
plot(s_xx_MOD_02,y,'r')
plot(s_xx_MOD_03,y,'b--')
plot(s_xx_MOD_04,y,'b--')
plot(s_xx_HYB,y,'g')
plot(s_xx_NLC,y,'black')
legend('MOD 01','MOD 02','MOD 03','MOD 04','HYB','OpD')

title('Trykkspenninger i snitt senter dam')
xlabel('Trykkspenning [MPa]')
ylabel('Hyde [m]')
r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1000 1000]/r);
Hor_printfilename = ['C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\RING_MOD.png'];
print(gcf,'-dpng',sprintf('-r%d',r),Hor_printfilename);
hold off

