clear all

a = -4295895;
b = -3453856;
f = (1-(1/sqrt(3))) / (2/sqrt(3));

do = (a-b)*f;

o = a+do;

c = -2847514;
d = -2036050;

dn = (c-d)*f;

n = -dn + d;

sigma_N_y = (o+n)*0.5;
sigma_M_y = o-sigma_N_y;

x_a = 0.3488818E+02;

x_b = 0.3360713E+02;

x_do = (x_a-x_b)*f;

x_o  = x_a + x_do;

x_c = 0.3266933E+02;
x_d = 0.3138828E+02;

x_dn = (x_c-x_d)*f;

x_n = -x_dn + x_d;

h_i = x_a-x_d;

h = h_i + x_dn + x_do;

W = (1/6)*1*h^2;

M = -sigma_M_y*W;
N = -sigma_N_y*h;


M_d = 4520050;
N_d = .1392911E8;

diff_m = 100*(M-M_d)./M;
diff_n = 100*(N-N_d)./N;

s = [o a b c d n];
x = [x_o x_a x_b x_c x_d x_n];
s_ = [-1.5 -5]*10^6;
oo = [x_o x_o];
aa = [x_a x_a];
bb = [x_b x_b];
cc = [x_c x_c];
dd = [x_d x_d];
nn = [x_n x_n];
plot(s,x,'black',s_,oo,'b--',s_,aa,'r--',s_,bb,'r--',s_,cc,'r--',s_,dd,'r--',s_,nn,'b--');
xlabel('Spenning i lokal y-retning')
legend('Spenning i y-retning','Ekstrapolert verdi til ytterkant','Gauss-punkter i tverrsnittet')
ylabel('Global x-koordinat')
title('Spenningsfordeling over tverrsnittet for COMPOSE-element nr. 540')

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 800 1000]/r);
print(gcf,'-dpng',sprintf('-r%d',r),'C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\val_km_sy.png');



