
eksempel = menu('Angi nsket eksempel', ...
	'Eks1, s. 187 i CS3','Eks1, ving10 i CS3');
if eksempel == 1
KM_ = [1 -7748 -3865 -54 4274 1950 -41 1095 1124];
c   = .07;
h   = 1.5;
b   = 1;
fck = 35;
fcd = .85*fck/1.5;
fyk = 500;
fctm = 4.1;
fywd = 435;
tan_tetha = 0.5;
cot_tetha = 2;

elseif eksempel == 2
KM_ = [1 -127 119 -138 96 -117 -133 358 624];
c   = .040;
h   = 0.4;
b   = 1;
fck = 50;
fcd = .85*fck/1.5;
fyk = 500;
fctm = 4.1;
fywd = 435;
tan_tetha = 0.5;
cot_tetha = 1;
end

%Gjr om krefter og momenter til enheten kN og kNm
KM_(:,2:9) = KM_(:,2:9); 

%Endrer retningen p momenter for  stemme med sandwichmetoden
KM_(:,7) = 1*KM_(:,7);
KM_(:,8) = 1*KM_(:,8);           
KM_(:,9) = 1*KM_(:,9);

ts = 2*c;
ti = 2*c;
ys = .5*(h-ts);
yi = .5*(h-ti);
z  = h-2*c;
d  = h-c;

nx   = KM_(2);
ny   = KM_(3);
nxy  = KM_(4);
mx   = KM_(5);
my   = KM_(6);
mxy  = KM_(7);
vx   = KM_(8);
vy   = KM_(9);

if eksempel == 1
phi = atan(vy/vx);
elseif eksempel == 2
phi = 45*pi/180;
end

v0   = sqrt(vx^2+vy^2);

As_min = 2260;
rho_l  = As_min/(b*d*10^6);
if rho_l > 0.02
    rho_l=0.02;
end
k    = 1+sqrt(200/(d*10^3));
if k > 2
    k=2;
end
vrd_c= (0.18/1.5)*k*(100*rho_l*fck)^(1/3)*d*10^3;
if vrd_c <= v0
    rho_z = (v0*tan_tetha)/(z*10^3*fywd);
elseif vrd_c > v0
    rho_z = rho_l;
end

nxs  = nx*((z-ys)/z)+mx/(z)+0.5*cot_tetha*(vx^2/v0);
nys  = ny*((z-ys)/z)+my/(z)+0.5*cot_tetha*(vy^2/v0);
nxys = nxy*((z-ys)/z)-mxy/(z)+0.5*cot_tetha*(vx*vy/v0);

nxi  = nx*((z-ys)/z)-mx/(z)+0.5*cot_tetha*(vx^2/v0);
nyi  = ny*((z-ys)/z)-my/(z)+0.5*cot_tetha*(vy^2/v0);
nxyi = nxy*((z-ys)/z)+mxy/(z)+0.5*cot_tetha*(abs(vx)*abs(vy)/v0);

Fsxs  = nxs + nxys*tan(phi);
Fsys  = nys + nxys*cot(phi);

Fsxi  = nxi + nxyi*tan(phi);
Fsyi  = nyi + nxyi*cot(phi);

s_cs   = (1/(ts*10^3))*(0.5*(-1*nxs-nys) + sqrt( (0.5*(nxs-nys))^2 + nxys^2 ));
s_ci   = (1/(ti*10^3))*(0.5*(-1*nxi-nyi) + sqrt( (0.5*(nxi-nyi))^2 + nxyi^2 ));

for i= 1:floor((h/2)/0.05-2*c)
    
if s_cs > fcd
    ts = ts+0.05;
    ys = .5*(h-ts);
end

if s_ci > fcd
    ti = ti+0.05;
    yi = .5*(h-ti);
end
z = ys + yi;

nxs  = nx*((z-ys)/z)+mx/(z)+0.5*cot_tetha*(vx^2/v0);
nys  = ny*((z-ys)/z)+my/(z)+0.5*cot_tetha*(vy^2/v0);
nxys = nxy*((z-ys)/z)-mxy/(z)+0.5*cot_tetha*(vx*vy/v0);

nxi  = nx*((z-ys)/z)-mx/(z)+0.5*cot_tetha*(vx^2/v0);
nyi  = ny*((z-ys)/z)-my/(z)+0.5*cot_tetha*(vy^2/v0);
nxyi = nxy*((z-ys)/z)+mxy/(z)+0.5*cot_tetha*((abs(vx)*abs(vy))/v0);

Fsxs  = nxs + nxys*tan(phi);
Fsys  = nys + nxys*cot(phi);

Fsxi  = nxi + nxyi*tan(phi);
Fsyi  = nyi + nxyi*cot(phi);

s_cs   = (1/(ts*10^3))*(0.5*(-1*nxs-nys) + sqrt( (0.5*(nxs-nys))^2 + nxys^2 ));
s_ci   = (1/(ti*10^3))*(0.5*(-1*nxi-nyi) + sqrt( (0.5*(nxi-nyi))^2 + nxyi^2 ));

end
As_sand  = 1000*[Fsxi Fsyi Fsxs Fsys]/435;




